## sikuli 1.0~x~rc3.tesseract3-dfsg1

=== debian/changelog ===
sikuli (1.0~x~rc3.tesseract3-dfsg1-12build3) xenial; urgency=medium

  * No-change rebuild against libtesseract3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Apr 2016 04:20:04 +0000

sikuli (1.0~x~rc3.tesseract3-dfsg1-12build2) xenial; urgency=medium

  * No-change rebuild for libtesseract4 -> libtesseract3 transition.

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 08 Apr 2016 15:22:00 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-12build1) xenial; urgency=medium

  * No-change rebuild for tesseract transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 09:26:35 +0000

sikuli (1.0~x~rc3.tesseract3-dfsg1-12) unstable; urgency=medium

  * Fix erroneous line count in patch executable-wrappers.patch
   (closes: #789797).

 -- Gilles Filippini <pini@debian.org>  Thu, 16 Jul 2015 22:40:16 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-11) unstable; urgency=medium

  * Bump epoch on default-{jre,jdk} versioned Build-Depends and Depends.

 -- Gilles Filippini <pini@debian.org>  Mon, 25 May 2015 12:02:31 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-10) unstable; urgency=medium

  * Fix executable-wrappers.patch:
    + add missing backslash
    + add libjnr-ffi.jar to classpath
  * libsikuli-script-java: Depends: libjnr-constants-java

 -- Gilles Filippini <pini@debian.org>  Sat, 23 May 2015 15:37:04 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-9) unstable; urgency=medium

  * Fix executable-wrappers.patch (thanks to Chad Miller):
    - split wrappers' args across lines to improve readability
    - replace deprecated libconstantine-java.jar with jnr-constants.jar
      (closes: #785720)
  * Update patch setTextAndMnemonic.patch accordingly
  * New patches:
    - no-adsense.patch to remove links to google-analytics from
      documentation
    - target-java-6 patch: force java6 compatible bytecode
  * Bump versioned build dependency to debhelper (>= 9~) and drop
    related source.lintian-overrides
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Gilles Filippini <pini@debian.org>  Sat, 23 May 2015 11:21:11 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-8) unstable; urgency=medium

  * Update patch use-java-libs-from-debian.patch to use the new jar name
    for libjson-simple-java (closes: #750297)
  * Fix patch executable-wrappers.patch to add missing jars to the
    classpath (closes: #752738)

 -- Gilles Filippini <pini@debian.org>  Sun, 29 Jun 2014 19:24:16 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-7) unstable; urgency=low

  * Revert fix for java.lang.UnsatisfiedLinkError which was arch dependent
    while sikuli-ide is arch all /o\. By the way the corresponding bug
    (#714393) is now tagged wontfix since it's sun-java6 related.
  * debian/control: fix VCS fields
  * Add description for patch setTextAndMnemonic.patch

 -- Gilles Filippini <pini@debian.org>  Sat, 13 Jul 2013 18:44:41 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-6) unstable; urgency=low

  [tony mancill <tmancill@debian.org>]
  * fix typo in d/control (Closes: #682011)

  [Gilles Filippini <pini@debian.org>]
  * new patch:
    + setTextAndMnemonic.patch: replace deprecated
      DefaultComponentFactory#setTextAndMnemonic with
      MnemonicUtils#configure (Closes: #711310)
  * Updated patch:
    + executable-wrappers.patch: add /usr/lib/<multiarch-triplet>/jni to
      LD_LIBRARY_PATH (fix java.lang.UnsatisfiedLinkError for JXGrabKey)

 -- Gilles Filippini <pini@debian.org>  Sat, 08 Jun 2013 00:28:24 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-5) unstable; urgency=low

  * New patch no-opencv-surf-module.patch: 
    Remove unsused portions of source code with dependency on the opencv
    SURF module which isn't shipped anymore starting with opencv 2.4
    because of being non-free (Closes: #678230)

 -- Gilles Filippini <pini@debian.org>  Mon, 25 Jun 2012 12:33:23 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-4) unstable; urgency=low

  * d/control: Depends: libopencv-dev to have OpenCVConfig.cmake (fix FTBFS)
  * Fix patch executable-wrappers.patch:
    + Remove /usr/share/java/jna-posix.jar from the classpath so that it
      doesn't take precedence on /usr/share/java/jnr-posix.jar required
      by jython (Closes: #675160)
  * d/README.Debian:
    + Add a note about Sun Java 6 and multiarch (workaround for
      java.lang.UnsatisfiedLinkError with java-6-sun)

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jun 2012 18:39:45 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-3) unstable; urgency=low

  * New patch:
    + gcc-4.7.patch: Fix FTBFS with gcc-4.7 (Closes: #671990)

 -- Gilles Filippini <pini@debian.org>  Fri, 11 May 2012 23:51:05 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-2) unstable; urgency=low

  * d/control:
    + sikuli-ide: Add missing dependency libswing-layout-java (fix
      ClassDefNotFound exception when opening the preferences dialog)
    + libsikuli-script-java: Add dependency tesseract-ocr-eng as a
      workaround for there is no way for the user to change the language
      setting for tesseract
    + Bump Standards-Version to 3.9.3
  * d/copyright: Update URL of the Machine-readable format specification
    version 1.0
  * New patch:
    + tessdata.patch: Use the default path for tesseract data, overridable
      with the TESSDATA_PREFIX environment variable (Closes: #667513,
      LP: #976352, LP: #979524)

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Apr 2012 11:21:08 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-1) unstable; urgency=low

  * Merge with the feature/tesseract3 branch from upstream
  * debian/control: Build-Depends: libtesseract-dev instead of
    deprecated tesseract-ocr-dev (Closes: #659598)
  * The upstream source code repository moved to github

  * New patch:
    + tess3.patch:
      - Fix build with tesseract3
      - use OCR strategie OEM_TESSERACT_ONLY for now. Upstream has
        reported a 4x slowdown when using OEM_TESSERACT_CUBE_COMBINED
  * Patch fix-cmake-sikuli-ide.patch:
    + Add a DEP3 style description
  * debian/copyright:
    + Update DEP5 Format URL

