=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/" debian/libsikuli-script-jni.install.in > debian/libsikuli-script-jni.install
	# Time stamp to prevent re-generation
	touch ./sikuli-script/src/main/native/org_sikuli_script_VDictProxy.h

override_dh_auto_clean:
	rm -fr \
		sikuli-script/build \
		sikuli-script/target/*.jar \
		sikuli-script/target/classes \
		sikuli-script/target/lib \
		sikuli-script/target/jar \
		sikuli-script/doc \
		sikuli-ide/build \
		sikuli-ide/target/*.jar \
		sikuli-ide/target/classes \
		sikuli-ide/target/linux/Sikuli-IDE/*.jar \
		sikuli-ide/target/linux/Sikuli-IDE/classes \
		sikuli-ide/target/linux/Sikuli-IDE/libs \
		sikuli-ide/target/jar \
		lib
	rm -f debian/libsikuli-script-jni.install

override_dh_auto_build:
	mkdir sikuli-script/build sikuli-ide/build
	cd sikuli-script/build && cmake ..
	make -C sikuli-script/build
	cd sikuli-ide/build && cmake ..
	make -C sikuli-ide/build app
	javadoc -windowtitle "Javadoc of Sikuli Script" -sourcepath sikuli-script/src/main/java:sikuli-script/build -d sikuli-script/doc/ -classpath lib:/usr/share/java/jython.jar \
		-link /usr/share/doc/default-jdk-doc/api \
		-link /usr/share/doc/jython-doc/api-html \
		-link /usr/share/doc/junit-doc/doc/api \
		-link /usr/share/doc/libswing-layout-java-doc/api \
		-link /usr/share/doc/libjxgrabkey-java/api \
		org.sikuli.script
	make -C docs html

override_jh_build:
	# no-op

override_dh_auto_install:
	mkdir -p debian/libsikuli-script-java/usr/bin
	install sikuli-script/target/sikuli-script.sh debian/libsikuli-script-java/usr/bin/sikuli
	
	mkdir -p debian/sikuli-ide/usr/bin
	install sikuli-ide/target/linux/Sikuli-IDE/sikuli-ide.sh debian/sikuli-ide/usr/bin/sikuli-ide
	
	dh_install
