=== debian/watch ===
# No watch rule: the sikuli source code has to be extracted from launchpad.net
# See debian/README.source for the details
